package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.groups.Default;

/**
 * Description
 *
 * @author liujc
 * @date 2022-03-30
 */
public class MusicTagSaveDto {

    public interface Create extends Default{}
    public interface Update extends Default{}


    @ApiModelProperty("标签id ")
    @NotNull(groups = Update.class,message = "标签ID不能为空")
    private Long id;

    @ApiModelProperty("父级标签id ")
    private Long parentTagId;

    @ApiModelProperty(value = "标签名称 ",required = true)
    @NotBlank(message = "标签名称不能为空")
    private String name;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentTagId() {
        return parentTagId;
    }

    public void setParentTagId(Long parentTagId) {
        this.parentTagId = parentTagId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
